Subject: Re: 6MAN Adoption call on raft-chakrabarti-nordmark-6man-efficient-nd-04

From: Acee Lindem <[email-masked]>
Date: Mon, 9 Dec 2013 16:10:55 +0000

I support adoption of the subject draft. I think the optimizations may have be beneficial beyond low-power applications. 
Thanks,
Acee
> 
> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Ole Troan
> Sent: Tuesday, November 19, 2013 2:46 AM
> To: 6man WG
> Cc: 6man Chairs
> Subject: 6MAN Adoption call on raft-chakrabarti-nordmark-6man-efficient-nd-04
> 
> All,
> 
> There was moderate support to adopt this draft at the working group meeting in Vancouver.
> This is an adoption call to confirm the result of the hum at the meeting.
> 
> Please provide a view with reasons as to whether the WG should adopt this or not.
> 
> This message starts a one week 6MAN Working Group call on adopting:
> 
> 	Title           : Wired and Wireless IPv6 Neighbor Discovery Optimizations
> 	Author(s)    : S. Chakrabarti, E. Nordmark, P. Thubert, M. Wasserman
> 	Filename    : draft-chakrabarti-nordmark-6man-efficient-nd-04
> 	Pages        : 31
> 	Date          : 2013-10-22
> 
>  http://tools.ietf.org/html/draft-chakrabarti-nordmark-6man-efficient-nd-04
> 
> The call ends on November 26th, 2013.
> 
> Regards,
> 
> Bob Hinden & Ole Trøan
> <signature.asc>--------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 20 Dec 2013 00:55:39 +0000

Hi Erik,

Some explanation for  your comments below:

> Fundamentally, the main use case seems to be trying to merge two different link types.  One link type for low power nodes, one for "more traditional" nodes, if you will.
[SC>] 
[SC>]  The main usecase of the solution is to reduce multicast and do registration of nodes to the default routers.  It indeed helps wireless devices  not to waste energy on repeated multicast transmission/reception and wireless switches and Wifi-controllers to be more efficient  (due to reduced multicast messaging). Optionally it can do further support on mobility of wireless devices within a large area containing multiple default routers covering the same subnet. The registration, in turn helps reduce ND DOS problem as well as a by-product.

 > I think we have *routing* for this.  Merging what is really two different L2 types so that they can try to be one seemless L2 domain still doesn't feel right to me.
[SC>]  This document  does not talk about merging two different link types.   If you are referring to mixed modes section -- they are simply the use-cases for accommodating classic RFC4861 and the nodes that follow the registration method. 

The efficient ND simply allows many different types of devices ( cell phones, PDA, laptops, cameras, TV, wireless gadgets, servers, Routers etc.) to stay in same IPv6 subnet and communicate with each other more efficiently than today in IPv6. That's why we need this solution as the world is going toward IPv6 with wireless devices.

I think you have been confusing it with RFC6775(6lowpan-ND) - which is a different thing and allows multi-link subnets. 

Cheers,
-Samita

---

From: Mark ZZZ Smith <[email-masked]>
Date: Fri, 20 Dec 2013 00:31:12 -0800 (PST)

Hi,

Just a random recent thought.

Perhaps it might be better to treat the link as an NBMA subnet, and use RFC2491 "IPv6 over Non-Broadcast Multiple Access (NBMA) networks" to eliminate all multicasts (including ND, MLD and application), except perhaps RAs with a flag that indicate the link is operating in NBMA mode (with RA timers larger than defaults - IIRC, the max router age value is 90 minutes, so unsolicited RAs can be around 30 minutes apart)?

Regards,
Mark.

----- Original Message -----
> From: Samita Chakrabarti <[email-masked]>
> To: Erik Kline <[email-masked]>; Ole Troan <[email-masked]>
> Cc: 6man Chairs <[email-masked]>; 6man WG <[email-masked]>
> Sent: Friday, 20 December 2013 11:55 AM
> Subject: RE: 6MAN Adoption call on raft-chakrabarti-nordmark-6man-efficient-nd-04
> 
> Hi Erik,
> 
>>  Fundamentally, the main use case seems to be trying to merge two different 
> link types.  One link type for low power nodes, one for "more 
> traditional" nodes, if you will.
> [SC>] 
> [SC>]  The main usecase of the solution is to reduce multicast and do 
> registration of nodes to the default routers.  It indeed helps wireless devices  
> not to waste energy on repeated multicast transmission/reception and wireless 
> switches and Wifi-controllers to be more efficient  (due to reduced multicast 
> messaging). Optionally it can do further support on mobility of wireless devices 
> within a large area containing multiple default routers covering the same 
> subnet. The registration, in turn helps reduce ND DOS problem as well as a 
> by-product.
> 
>>  I think we have *routing* for this.  Merging what is really two different 
> L2 types so that they can try to be one seemless L2 domain still doesn't 
> feel right to me.
> [SC>]  This document  does not talk about merging two different link types.  
> If you are referring to mixed modes section -- they are simply the use-cases for 
> accommodating classic RFC4861 and the nodes that follow the registration method. 
> 
> 
> The efficient ND simply allows many different types of devices ( cell phones, 
> PDA, laptops, cameras, TV, wireless gadgets, servers, Routers etc.) to stay in 
> same IPv6 subnet and communicate with each other more efficiently than today in 
> IPv6. That's why we need this solution as the world is going toward IPv6 
> with wireless devices.
> 
> I think you have been confusing it with RFC6775(6lowpan-ND) - which is a 
> different thing and allows multi-link subnets. 
> 
> Cheers,
> -Samita
> 
> 
> 
> 
>